Subject: [alto] application/alto-* Media Types Registration Request

From: Qin Wu <[email-masked]>
Date: Fri, 3 Dec 2021 11:17:22 +0000

Hello,
Here is the registration request of application/alto-* Media Types defined in section 7.1 of draft-ietf-alto-cdni-request-routing-alto:
https://datatracker.ietf.org/doc/draft-ietf-alto-cdni-request-routing-alto/
https://www.ietf.org/archive/id/draft-ietf-alto-cdni-request-routing-alto-17.html

I've included the details below.

Note that this document has already entered into IESG review phase. Francesca Palombini kindly reminds us and the authors of this draft to
send the media type registrations to the media-type mailing list for review before the document moves forward. Thanks Francesca.

-Qin (on behalf of chairs)
7.1. <https://www.ietf.org/archive/id/draft-ietf-alto-cdni-request-routing-alto-17.html#section-7.1> application/alto-* Media Types<https://www.ietf.org/archive/id/draft-ietf-alto-cdni-request-routing-alto-17.html#name-application-alto-media-type>

This document updates the IANA Media Types Registry by registering two additional ALTO media types, listed in Table 1<https://www.ietf.org/archive/id/draft-ietf-alto-cdni-request-routing-alto-17.html#TableMediaTypes>.
Table 1<https://www.ietf.org/archive/id/draft-ietf-alto-cdni-request-routing-alto-17.html#table-1>: Additional ALTO Media Types.<https://www.ietf.org/archive/id/draft-ietf-alto-cdni-request-routing-alto-17.html#name-additional-alto-media-types>

Type

Subtype

Specification

application

alto-cdni+json

Section 3<https://www.ietf.org/archive/id/draft-ietf-alto-cdni-request-routing-alto-17.html#cdnifci> of RFCthis

application

alto-cdnifilter+json

Section 5<https://www.ietf.org/archive/id/draft-ietf-alto-cdni-request-routing-alto-17.html#filteredcdnifci> of RFCthis

Type name:

application
Subtype name:

This document registers multiple subtypes, as listed in Table 1<https://www.ietf.org/archive/id/draft-ietf-alto-cdni-request-routing-alto-17.html#TableMediaTypes>.
Required parameters:

n/a
Optional parameters:

n/a
Encoding considerations:

Encoding considerations are identical to those specified for the "application/json" media type. See [RFC8259<https://www.ietf.org/archive/id/draft-ietf-alto-cdni-request-routing-alto-17.html#RFC8259>].
Security considerations:

Security considerations related to the generation and consumption of ALTO Protocol messages are discussed in Section 15 of [RFC7285<https://www.ietf.org/archive/id/draft-ietf-alto-cdni-request-routing-alto-17.html#RFC7285>].
Interoperability considerations:

This document specifies formats of conforming messages and the interpretation thereof.
Published specification:

This document is the specification for these media types; see Table 1<https://www.ietf.org/archive/id/draft-ietf-alto-cdni-request-routing-alto-17.html#TableMediaTypes> for the section documenting each media type.
Applications that use this media type:

ALTO servers and ALTO clients either stand alone or are embedded within other applications.
Additional information:
Magic number(s):

n/a
File extension(s):

This document uses the mime type to refer to protocol messages and thus does not require a file extension.
Macintosh file type code(s):

n/a
Person & email address to contact for further information:

See Authors' Addresses section.
Intended usage:

COMMON
Restrictions on usage:

n/a
Author:

See Authors' Addresses section.
Change controller:

Internet Engineering Task Force (mailto:[email-masked]).

---

From: Alexey Melnikov <[email-masked]>
Date: Tue, 14 Dec 2021 20:22:14 +0000

Hi  Qin,
Overall this looks fine to me. A few comments below:

On 03/12/2021 11:17, Qin Wu wrote:
> I’ve included the details below.
>  
> 7.1. application/alto-* Media Types
> This document updates the IANA Media Types Registry by registering two additional ALTO media types, listed in Table 1.
> 
> Table 1: Additional ALTO Media Types.
> Type
> Subtype
> Specification
> application
> alto-cdni+json
> Section 3 of RFCthis
> application
> alto-cdnifilter+json
> Section 5 of RFCthis
> Type name:
> application
> 
> Subtype name:
> This document registers multiple subtypes, as listed in Table 1.
> 
Existing media type registration template doesn’t allow registering multiple media types using the same template. So you will need to create multiple registrations.

Having said that, a few minor comments below:
> Required parameters:
> n/a
> 
> Optional parameters:
> n/a
> 
> Encoding considerations:
> Encoding considerations are identical to those specified for the "application/json" media type. See [RFC8259].
> 
> Security considerations:
> Security considerations related to the generation and consumption of ALTO Protocol messages are discussed in Section 15 of [RFC7285].
> 
This section is for known interoperability concerns. If you don’t know of any, putting N/A here is probably the best.
> Published specification:
> This document is the specification for these media types; see Table 1 for the section documenting each media type.
> 
Please add a reference to a document where ALTO is defined. Registration templates can be read by people who are not necessarily familiar with this technology.

Also when you split the registration template into 2 it would be good to have a sentence here explaining how the two formats differ.
> This document uses the mime type to refer to protocol messages and thus does not require a file extension.

I don’t think I agree with this statement, but not having a file extension is Ok. So just put “N/A” here.
> _______________________________________________
> media-types mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/media-types